### Xilinx Processor IP Library

<hl>Software Drivers</hl>

Main Page | Data Structures | File List | Data Fields | Globals

# xuartns550_intr.c File Reference

## Detailed Description

This file contains the functions that are related to interrupt processing for the 16450/16550 UART driver.

     MODIFICATION HISTORY:

     Ver   Who  Date     Changes
     ----- ---- -------- -----------------------------------------------
     1.00b jhl  03/11/02 Repartitioned driver for smaller files.
     1.11a sv   03/20/07 Updated to use the new coding guidelines.

## Functions

void | XUartNs550_SetHandler (XUartNs550 *InstancePtr, XUartNs550_Handler FuncPtr, void *CallBackRef)
void | XUartNs550_InterruptHandler (XUartNs550 *InstancePtr)

## Function Documentation

void XUartNs550_InterruptHandler | ( | XUartNs550 * | InstancePtr | ) |

This function is the interrupt handler for the 16450/16550 UART driver. It must be connected to an interrupt system by the user such that it is called when an interrupt for any 16450/16550 UART occurs. This function does not save or restore the processor context such that the user must ensure this occurs.

Parameters:

  | InstancePtr | contains a pointer to the instance of the UART that the interrupt is for.

Returns:
  None.

Note:
  None.

void XUartNs550_SetHandler | ( | XUartNs550 * | InstancePtr,
|  | XUartNs550_Handler | FuncPtr,
|  | void * | CallBackRef
| ) |

This function sets the handler that will be called when an event (interrupt) occurs in the driver. The purpose of the handler is to allow application specific processing to be performed.

Parameters:

  | InstancePtr | is a pointer to the XUartNs550 instance .
  | FuncPtr | is the pointer to the callback function.
  | CallBackRef | is the upper layer callback reference passed back when the callback function is invoked.

Returns:
  None.

There is no assert on the CallBackRef since the driver doesn't know what it is (nor should it)

Copyright © 1995-2009 Xilinx, Inc. All rights reserved.